Chart-0.16: A library for generating 2D Charts and Plots

Safe Haskell | None

Graphics.Rendering.Chart.Plot.ErrBars

Contents

- Accessors

Description

Plot series of points with associated error bars.

Synopsis

- data PlotErrBars x y = PlotErrBars {
  - plot_errbars_title_ :: String
  - plot_errbars_line_style_ :: CairoLineStyle
  - plot_errbars_tick_length_ :: Double
  - plot_errbars_overhang_ :: Double
  - plot_errbars_values_ :: [ErrPoint x y]
  }
- defaultPlotErrBars :: PlotErrBars x y
- data ErrPoint x y = ErrPoint {
  - ep_x :: ErrValue x
  - ep_y :: ErrValue y
  }
- data ErrValue x = ErrValue {
  - ev_low :: x
  - ev_best :: x
  - ev_high :: x
  }
- symErrPoint :: (Num a, Num b) => a -> b -> a -> b -> ErrPoint a b
- plot_errbars_title :: forall x y. T (PlotErrBars x y) String
- plot_errbars_line_style :: forall x y. T (PlotErrBars x y) CairoLineStyle
- plot_errbars_tick_length :: forall x y. T (PlotErrBars x y) Double
- plot_errbars_overhang :: forall x y. T (PlotErrBars x y) Double
- plot_errbars_values :: forall x y. T (PlotErrBars x y) [ErrPoint x y]

# Documentation

data PlotErrBars x y Source

Value defining a series of error intervals, and a style in which to render them.

Constructors

PlotErrBars |

Fields

plot_errbars_title_ :: String
plot_errbars_line_style_ :: CairoLineStyle
plot_errbars_tick_length_ :: Double
plot_errbars_overhang_ :: Double
plot_errbars_values_ :: [ErrPoint x y]

Instances

ToPlot PlotErrBars |

defaultPlotErrBars :: PlotErrBars x ySource

data ErrPoint x y Source

Constructors

ErrPoint |

Fields

ep_x :: ErrValue x
ep_y :: ErrValue y

Instances

(Show x, Show y) => Show (ErrPoint x y) |

data ErrValue x Source

Value for holding a point with associated error bounds for each axis.

Constructors

ErrValue |

Fields

ev_low :: x
ev_best :: x
ev_high :: x

Instances

Show x => Show (ErrValue x) |

symErrPoint :: (Num a, Num b) => a -> b -> a -> b -> ErrPoint a bSource

When the error is symmetric, we can simply pass in dx for the error.

# Accessors

These accessors are generated by template haskell

plot_errbars_title :: forall x y. T (PlotErrBars x y) String Source

plot_errbars_line_style :: forall x y. T (PlotErrBars x y) CairoLineStyle Source

plot_errbars_tick_length :: forall x y. T (PlotErrBars x y) Double Source

plot_errbars_overhang :: forall x y. T (PlotErrBars x y) Double Source

plot_errbars_values :: forall x y. T (PlotErrBars x y) [ErrPoint x y]Source